> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Run

> Trigger a workflow run.

The workflow must exist and be published. Returns the run object with
status 'queued' immediately.



## OpenAPI

````yaml /openapi.json post /v1/orchestration/runs
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/orchestration/runs:
    post:
      tags:
        - orchestration
      summary: Trigger Run
      description: |-
        Trigger a workflow run.

        The workflow must exist and be published. Returns the run object with
        status 'queued' immediately.
      operationId: trigger_run_v1_orchestration_runs_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerRunBody'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Trigger Run V1 Orchestration Runs Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    TriggerRunBody:
      properties:
        inputs:
          additionalProperties: true
          title: Inputs
          type: object
        workflow_id:
          description: ID of the workflow to run
          title: Workflow Id
          type: string
      required:
        - workflow_id
      title: TriggerRunBody
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````